Bug 279788 - copy/paste between instances of umbrello doesn't work
Summary: copy/paste between instances of umbrello doesn't work
Status: RESOLVED FIXED
Alias: None
Product: umbrello
Classification: Unclassified
Component: general (show other bugs)
Version: 1.1
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Joris Steyn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-10 08:07 UTC by greatbunzinni
Modified: 2013-11-20 21:38 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description greatbunzinni 2011-08-10 08:07:05 UTC
Version:           1.1
OS:                Linux

If a user runs two instances of umbrello, copies a class diagram from one instance and tries to paste it in the other, the pasted instance will receive a garbled class name.

Reproducible: Didn't try



Expected Results:  
It would be nice if copy/paste between different instances of umbrello worked

OS: Linux (x86_64) release 2.6.38-10-generic
Compiler: cc
Comment 1 Ralf Habacker 2012-01-16 17:35:26 UTC
still existant in recent svn code
Comment 2 Joris Steyn 2013-11-10 19:20:33 UTC
Git commit 1bfad17b6e6891a316ea56ac906980175ae5a058 by Joris Steyn.
Committed on 13/10/2013 at 15:09.
Pushed by jorissteyn into branch 'master'.

Fix copy/paste between Umbrello instances

Clip4 now contains all the UMLObjects corresponding to the copied widgets.

Some related but obviously unused code removed. Involves a better fix than
c63e77c for broken copy/paste of listview items.
Related: bug 70926, bug 195803, bug 291749, bug 128068

M  +7    -48   umbrello/clipboard/umlclipboard.cpp
M  +18   -14   umbrello/clipboard/umldragdata.cpp
M  +6    -0    umbrello/uml.cpp
M  +0    -111  umbrello/umllistview.cpp
M  +0    -5    umbrello/umllistview.h
M  +1    -2    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/1bfad17b6e6891a316ea56ac906980175ae5a058
Comment 3 Ralf Habacker 2013-11-10 23:40:52 UTC
Git commit 9b2d14372905fc49076025488983fb5859637eba by Ralf Habacker, on behalf of Joris Steyn.
Committed on 13/10/2013 at 15:09.
Pushed by habacker into branch 'KDE/4.12'.

Fix copy/paste between Umbrello instances

Clip4 now contains all the UMLObjects corresponding to the copied widgets.

Some related but obviously unused code removed. Involves a better fix than
c63e77c for broken copy/paste of listview items.
Related: bug 70926, bug 195803, bug 291749, bug 128068

M  +7    -48   umbrello/clipboard/umlclipboard.cpp
M  +18   -14   umbrello/clipboard/umldragdata.cpp
M  +6    -0    umbrello/uml.cpp
M  +0    -111  umbrello/umllistview.cpp
M  +0    -5    umbrello/umllistview.h
M  +1    -2    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/9b2d14372905fc49076025488983fb5859637eba
Comment 4 Joris Steyn 2013-11-12 16:53:47 UTC
Git commit d9683d52f0ce96b61fd244c4812b8a31a9f236bc by Joris Steyn.
Committed on 12/11/2013 at 16:30.
Pushed by jorissteyn into branch 'master'.

Fix crash loading XMI

Do assign parent when loading XMI. Commit 1bfad17 regressed the loading of (for
example) RefactoringAssistant.xmi. This fix makes loadFromXmi() only determine
a new parent when pasting (so, when not loading a file) like it was before.
Related: bug 70926, bug 195803

M  +7    -1    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/d9683d52f0ce96b61fd244c4812b8a31a9f236bc
Comment 5 Ralf Habacker 2013-11-12 17:02:38 UTC
Git commit b1be6d458982bb8e6df824055e2eeccc018e3141 by Ralf Habacker, on behalf of Joris Steyn.
Committed on 12/11/2013 at 16:30.
Pushed by habacker into branch 'KDE/4.12'.

Fix crash loading XMI

Do assign parent when loading XMI. Commit 1bfad17 regressed the loading of (for
example) RefactoringAssistant.xmi. This fix makes loadFromXmi() only determine
a new parent when pasting (so, when not loading a file) like it was before.
Related: bug 70926, bug 195803

M  +7    -1    umbrello/umlobject.cpp

http://commits.kde.org/umbrello/b1be6d458982bb8e6df824055e2eeccc018e3141